Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_KeepAlive

Keep alive callback interface.
Contained in: global
Derived from: none
Derived by: CL_Timer
Group: Core (System)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_KeepAlive` | `()`;
``virtual`` | `~CL_KeepAlive` | `()`;

### Operations:

``virtual` `void`` | `keep_alive` | `()`;

## Description:

If you want to add something that gets called in a CL_System::keep_alive() call, inherit this class and create an instance of it.

## Function Member Descriptions:

CL_KeepAlive::CL_KeepAlive - Constructs and registers the object as a keep_alive listener.
`` `CL_KeepAlive` `()`;

CL_KeepAlive::keep_alive - Called when CL_System::keep_alive() is called.
``virtual` `void`` `keep_alive` `()`;

CL_KeepAlive::~CL_KeepAlive - Unregisters the object as a keep_alive listener.
``virtual`` `~CL_KeepAlive` `()`;